### Class

# GtkSource CompletionWords

#### Description [src]

    class GtkSource.CompletionWords : GObject.Object
      implements GtkSource.CompletionProvider {
      /* No available fields */
    }

A `GtkSourceCompletionProvider` for the completion of words.

The `GtkSourceCompletionWords` is an example of an implementation of the `GtkSourceCompletionProvider` interface. The proposals are words appearing in the registered `GtkTextBuffer`s.

#### Ancestors

- GObject

#### Implements

- GtkSourceCompletionProvider

#### Constructors

###### gtk_source_completion_words_new

No description available.

#### Instance methods

###### gtk_source_completion_words_register

Registers `buffer` in the `words` provider.

###### gtk_source_completion_words_unregister

Unregisters `buffer` from the `words` provider.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkSourceCompletionProvider (10)

###### gtk_source_completion_provider_activate

This function requests `proposal` to be activated by the `GtkSourceCompletionProvider`.

###### gtk_source_completion_provider_display

This function requests that the `GtkSourceCompletionProvider` prepares `cell` to display the contents of `proposal`.

###### gtk_source_completion_provider_get_priority

This function should return the priority of `self` in `context`.

###### gtk_source_completion_provider_get_title

Gets the title of the completion provider, if any.

###### gtk_source_completion_provider_is_trigger

This function is used to determine if a character inserted into the text editor should cause a new completion request to be triggered.

###### gtk_source_completion_provider_key_activates

This function is used to determine if a key typed by the user should activate `proposal` (resulting in committing the text to the editor).

###### gtk_source_completion_provider_list_alternates

Providers should return a list of alternates to `proposal` or `NULL` if there are no alternates available.

###### gtk_source_completion_provider_populate_async

Asynchronously requests that the provider populates the completion results for `context`.

###### gtk_source_completion_provider_populate_finish

Completes an asynchronous operation to populate a completion provider.

###### gtk_source_completion_provider_refilter

This function can be used to filter results previously provided to the `GtkSourceCompletionContext` by the `GtkSourceCompletionProvider`.

#### Properties

###### GtkSource.CompletionWords:minimum-word-size

No description available.

###### GtkSource.CompletionWords:priority

No description available.

###### GtkSource.CompletionWords:proposals-batch-size

No description available.

###### GtkSource.CompletionWords:scan-batch-size

No description available.

###### GtkSource.CompletionWords:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceCompletionWordsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.